JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MouseInactivityDetector::Listener Class Referenceabstract
juce_gui_basics » mouse

Classes should implement this to receive callbacks from a MouseInactivityDetector when the mouse becomes active or inactive. More...

`#include <juce_MouseInactivityDetector.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | mouseBecameActive ()=0
| Called when the mouse is moved or clicked for the first time after a period of inactivity.
virtual void | mouseBecameInactive ()=0
| Called when the mouse hasn't been moved for the timeout period.

## Detailed Description

Classes should implement this to receive callbacks from a MouseInactivityDetector when the mouse becomes active or inactive.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual MouseInactivityDetector::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ mouseBecameActive()

virtual void MouseInactivityDetector::Listener::mouseBecameActive | ( |  | ) |
| pure virtual

Called when the mouse is moved or clicked for the first time after a period of inactivity.

## ◆ mouseBecameInactive()

virtual void MouseInactivityDetector::Listener::mouseBecameInactive | ( |  | ) |
| pure virtual

Called when the mouse hasn't been moved for the timeout period.

The documentation for this class was generated from the following file:

- juce_MouseInactivityDetector.h